System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeStatement System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent code that consists of a conditional expression, a collection of statements to execute if the conditional expression evaluates to true, and an optional collection of statements to execute if the conditional expression evaluates to false. A is generated in many languages as an if statement.

The property indicates the expression to test. The property contains the statements to execute if the expression to test evaluates to true. The property contains the statements to execute if the expression to test evaluates to false.

Represents a conditional branch statement, typically represented as an if statement.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ParamArray
  To be added

  Initializes a new instance of the class using the specified condition and statements.

  A that indicates the expression to evaluate.
  An array of type containing the statements to execute if the condition is true.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified condition and statements.

  A that indicates the condition to evaluate.
  An array of type containing the statements to execute if the condition is true.
  An array of type containing the statements to execute if the condition is false.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpression To be added: an object of type 'CodeExpression'

  If this conditional expression evaluates to true, the code contained in the collection will be executed. If this conditional expression evaluates to false and the collection is not empty, the code contained in the collection will be executed.

  Gets or sets the expression to evaluate true or false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeStatementCollection To be added: an object of type 'CodeStatementCollection' To be added

  Gets the collection of statements to execute if the conditional expression evaluates to false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeStatementCollection To be added: an object of type 'CodeStatementCollection' To be added

  Gets the collection of statements to execute if the conditional expression evaluates to true.